% Clear the enviroment

clc; clear; format compact; 

% Select a seed for random numbers

mySeed = 1;
% RandStream.setGlobalStream( RandStream( 'mt19937ar', 'seed', mySeed ) );
RandStream.setDefaultStream( RandStream( 'mt19937ar', 'seed', mySeed ) ); 

% Add the data files into the search path of Matlab

addpath( 'newDataSets' );

% Loop over the data sets

nameArrayOfDataSets = dir( 'newDataSets' );
numberOfDataSets = length( nameArrayOfDataSets );
nameArrayOfDataSets = nameArrayOfDataSets( 3 : numberOfDataSets );
numberOfDataSets = numberOfDataSets - 2;

outputFileID = fopen( 'computationResults.txt', 'w' );

for iIndex = 1 : numberOfDataSets
    fprintf( outputFileID, '%s\t', nameArrayOfDataSets( iIndex ).name( 1 : length( nameArrayOfDataSets( iIndex ).name ) - 4 ) ); % Record the data set name
    [ obj, cpu_time, gap, node ] = reformulationComparison( nameArrayOfDataSets( iIndex ).name );
    for jIndex = 1 : 6
        fprintf( outputFileID, '%f\t%f\t%f\t%d\t', obj( jIndex ), cpu_time( jIndex ), gap( jIndex ), node( jIndex ) );
    end
    fprintf( outputFileID, '\n' );
end

fclose( outputFileID );
