function [ Q, xi, u, alpha, beta, n, K, T, R ] = read_file( file_name )

% Read all data from file

[ w ] = dlmread( file_name );

% Assign values to parameters

n = floor( w( 1, 1 ) );
T = floor( w( 1, 2 ) );
K = floor( w( 1, 3 ) );
R = w( 1, 4 );

alpha = zeros( T, 1 );
beta = zeros( T, 1 );

for i = 1 : T
    alpha( i, 1 ) = w( 2, i );
    beta( i, 1 ) = w( 3, i );
end % End for

u = zeros( n, 1 );
mu = zeros( n, 1 );

for i = 1 : n
    u( i, 1 ) = w( 4, i );
    mu( i, 1 ) = w( 5, i );
end % End for

Q = zeros( n, n );
xi = zeros( n, T );

for i = 1 : n
    Q( i, 1 : n ) = w( 5 + i, 1 : n );
    xi( i, 1 : T ) = w( n + 5 + i, 1 : T );
end % End for


end % End read_file
